GMTSET(1)

NAME
gmtset - To change individual GMT default parameters

SYNOPSIS
gmtset [ -Gdefaultsfile ] PARAMETER1 [=] value1 PARAMETER2 [=] value2 PARAMETER3 [=] value3 ...

DESCRIPTION
gmtset will adjust individual GMT defaults settings in the current directory's .gmtdefaults4 file. If no such file exists one will be created. The main purpose of gmtset is temporarily to change certain parameters inside a shell script, e.g., set the dots-per-inch to 600, run the script, and reset to 300 dpi. Optionally, you can specify one or more temporary changes directly on any GMT command line with the syntax --PARAMETER=VALUE; such changes are only in effect for that command and do not permanently change the default settings on disk.

PARAMETER value
    Provide one or several pairs of parameter/value combinations that you want to modify. For a complete listing of available parameters and their meaning, see the gmtdefaults man page.

OPTIONS

-G  Name of specific .gmtdefaults4 file to modify [Default looks first in current directory, then in your home directory, then in ~/.gmt and finally in the system defaults].

EXAMPLES
To change the dpi to 600, set annotation font to Helvetica, and select grid-crosses of size 0.1 inch, and set annotation offset to 0.2 cm:

gmtset DOTS_PR_INCH 600 ANNOT_FONT_PRIMARY Helvetica GRID_CROSS_SIZE_PRIMARY 0.1i ANNOT_OFFSET_PRIMARY 0.2c

SEE ALSO
GMT(1), gmtdefaults(1)